| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class SCClassBodyException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--SCClassBodyException

All Implemented Interfaces:
  java.io.Serializable

public class SCClassBodyException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` | `exlist`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SCClassBodyException()`

Method Summary
`(package private) void` | `addException(SCExcept ex)`
`de.dhbwstuttgart.typeinference.Menge` | `get_exlist()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exlist

    private de.dhbwstuttgart.typeinference.Menge exlist

Constructor Detail

### SCClassBodyException

    public SCClassBodyException()

Method Detail

### addException

    void addException(SCExcept ex)

### get_exlist

    public de.dhbwstuttgart.typeinference.Menge get_exlist()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD